Page MenuHomePhabricator

problems with 0 as a label
Closed, ResolvedPublic

Description

The following is copied from http://www.wikidata.org/wiki/Wikidata:Contact_the_development_team#.220.22_is_not_valid_label.3F

If label name is "0", I can't see the label. See Q23104, Q199453 and Q204. Is this a bug? Because I can see other numbers like 1. --Stryn (talk) 11:58, 2 January 2013 (UTC)
Hi Stryn, seems to be a bug. I can save the label "0" but "View history" does not show my edit. --Kolja21 (talk) 13:10, 2 January 2013 (UTC)
Yes, if you look "labels list", you can already see "0" there, and because of that you can't see your "edit" in history. --Stryn (talk) 13:12, 2 January 2013 (UTC)


Version: master
Severity: normal

Details

Reference
bz43585

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz43585.
hoo added a comment.Jan 2 2013, 4:18 PM

Non-existing labels weren't recognized correctly within EntityView. Fixed in https://gerrit.wikimedia.org/r/41961 (Needs review)

wikidata-bugs wrote:

Change I50b41530: (bug 43585) Empty labels weren't recognised correctly.
Change merged.

So is this fixed now?

hoo added a comment.Jan 8 2013, 1:25 AM

Yes, the change isn't yet live though...

Verified in Wikidata demo sprint 28

wikidata-bugs wrote:

Change Ie1c0423a: (bug 43585) testing 0 as value for label/description/aliases

"0" don't appear as a label on Special:ItemDisambiguation page:
www.wikidata.org/wiki/Special:ItemDisambiguation?language=en&label=0&submit=Search

Stryn, this should be resolved once we deploy wmf9, which is planned to happen February 4.

Restricted Application added a project: Wikidata. · View Herald TranscriptJan 28 2016, 6:08 PM
Restricted Application added a subscriber: StudiesWorld. · View Herald Transcript